EOFException (Java Platform SE 8 )
Keywords: java.io.EOFException class
Date: 2017-07-29

compact1, compact2, compact3
java.io

## Class EOFException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.EOFException

- All Implemented Interfaces:
    Serializable

      public class EOFException
      extends IOException

  Signals that an end of file or end of stream has been reached unexpectedly during input.

  This exception is mainly used by data input streams to signal end of stream. Note that many other input operations return a special value on end of stream rather than throwing an exception.

  Since:
    JDK1.0
  See Also:
    `DataInputStream`, `IOException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EOFException()` Constructs an `EOFException` with `null` as its error detail message.
    `EOFException(String s)` Constructs an `EOFException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EOFException

          public EOFException()

      Constructs an `EOFException` with `null` as its error detail message.

    - #### EOFException

          public EOFException(String s)

      Constructs an `EOFException` with the specified detail message. The string `s` may later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.
      Parameters:
        `s` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.